framework:
    messenger:
        # Uncomment this (and the failed transport below) to send failed messages to this transport for later handling.
        # failure_transport: failed
        serializer:
            default_serializer: messenger.transport.symfony_serializer
            symfony_serializer:
                format: json
                context: { }
        transports:
            # https://symfony.com/doc/current/messenger.html#transport-configuration
            product: 
                dsn: '%env(RABBITMQ_PRODUCT)%'
                serializer: messenger.transport.symfony_serializer
            search: 
                dsn: '%env(RABBITMQ_SEARCH)%'             
                serializer: messenger.transport.symfony_serializer          
            # failed: 'doctrine://default?queue_name=failed'
            # sync: 'sync://'

        routing:
            # Route your messages to the transports
             'App\Message\CrawlProducts': product
             'App\Message\CrawlSearch': search
                          